@echo off


if exist nukecity.map goto nuke1
goto top

:nuke1
if exist nukecity.1 goto top
cls
echo.
echo NUKECITY 1 has been detected.  For setup and dukebot files that will
echo allow playing both maps with the improved dukebots, write to:
echo.
echo bellows@enol.com
echo.
echo This message will not be displayed again.
echo.
echo This file is here because DUKE2 detected Nukecity 1 > nukecity.1
echo.
pause

:top
cls
echo NUKECITY II By Alan Bellows
echo.
echo     A  Nukecity 2
echo     B  Nukecity 2 SETUP
echo     C  Read text file
echo     D  Delete Nukecity 2
echo     E  Exit
choice /c:abcde /n
if errorlevel 5 goto end
if errorlevel 4 goto delete
if errorlevel 3 goto text
if errorlevel 2 goto setup
if errorlevel 1 goto duke3d

:wrongdir
echo.
echo Duke3d.grp not detected!
pause
goto top

:noplutpack
echo.
echo Nukecity 2 bots are not playable with the plutonium pack.
echo To play with the Plutonium Pack, type DUKE3D -map nukecty2.map
pause
goto top

:setup
set type=setup
goto run
:duke3d
set type=duke3d
goto run

:run
if not exist duke3d.grp goto wrongdir
if exist cdrom.ini goto noplutpack

if exist tiles006.art goto artchange
if exist tiles006.nc2 goto rename
echo.
echo Art file not present.  Original art will be used.
pause
     :artchange
        if exist tiles006.nc2 goto switch
        goto play2
     :switch
        ren tiles006.art tiles00X.art
        ren tiles006.nc2 tiles006.art
        goto play2
     :rename
        ren tiles006.nc2 tiles006.art
     :play2
        %type% /xnukecity.con %1 %2 %3 %4 %5 %6 %7 %8 %9
        ren tiles006.art tiles006.nc2
        if exist tiles00X.art ren tiles00X.art tiles006.art
        cls
        echo.
        echo NUKECITY 2 by Alan Bellows
        goto top

:text
cls
echo ===============================================================================
echo                                 NUKECITY II  
echo ===============================================================================
echo                    Art, map, and programming by Alan Bellows
echo                               bellows@enol.com
echo.
echo Included files:  NUKECTY2.MAP . . . . . . . . . . . . . . . . . . . .  map file
echo                  TILES006.NC2 . . . . . . . . . . . . . . . . . . .duke bot art
echo                  NUKE2.BAT . . . . . . . . . . . . . . . . . . .this batch file
echo                  NUKECITY.CON \
echo                  NUKEDEFS.CON  . . . . . . . . . .  . .dukebot controller files
echo                  NUKEUSER.CON /
echo.
echo NUKE2.BAT runs NUKECTY2.MAP with the DukeBot controller files, and Dukebot
echo ART.  The file then restores the original ART.  Replaces E1L1.
echo.
echo Added features:
echo 1) Steroids cause invisibility, but as in real life, they are unhealthful.
echo 2) Stomping another player causes them to explode.
echo 3) BOSS #2 roves the map, and killing him doesn't end the level.
echo      HINT:  Blue key card is obtained by killing the BOSS 2.
echo.
echo For comments or suggestions, write Alan Bellows: bellows@enol.com
pause
goto top

:delete
echo.
echo Are you sure you want to delete Nukecity 2 and it's files [Y,N]?
choice /c:yn /n
if errorlevel 2 goto top
if errorlevel 1 goto kill
:kill
echo Deleting MAP...
del nukecty2.map
echo Deleting ART...
del tiles006.nc2
echo Deleting CON files...
del nukecity.con
del nukedefs.con
del nukeuser.con
if exist nukecity.1 del nukecity.1
if exist nukecty2.exe echo Original compressed file NUKECTY2.EXE has not been deleted.
echo.
echo Nukecity 2 has been removed, except for NUKE2.BAT, which must be manually
echo deleted.
echo.
pause
goto end


:end
cls
echo.
echo NUKECITY 2 by Alan Bellows (bellows@enol.com)
echo.
